List git repos for a project
GET
/projects/{id}/git-repos
Returns all configured git repos for the given project. Requires Pro plan or self-hosted (free) edition.
Authorizations
BearerAuth
JWT token from login
Type
HTTP (bearer)
or
AccessToken
Personal access token. Value: Token <your-token>
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
Project ID
Type
Requiredstring
Responses
OK
application/json
JSON "repos": [ { "_id": "string", "project": "string", "name": "string", "repo_url": "string", "branch": "string", "auth_token": "string", "sync_interval": 0, "enabled": true, "sync_mode": "string", "notes_path": "string", "memories_path": "string", "sync_path": "string", "trash_on_delete": true, "commit_sync_enabled": true, "commit_history_days": 0, "last_commit_synced_at": "string", "last_commit_sha": "string", "last_sync_status": "string", "last_synced_at": "string", "last_sync_error": "string", "last_sync_summary": { "imported_files": 0, "exported_files": 0, "trashed_items": 0, "imported_commits": 0, "conflicts": 0, "skipped": 0, "started_at": "string", "finished_at": "string", "duration_ms": 0, "message": "string" }, "sync_runs": [ { } ], "createdAt": "string", "updatedAt": "string" } ]
{
}